
ISIS - Bug #2191

grid does not produce a valid lat/lon grid for multi-band cubes with a band dependent camera

2014-11-12 04:59 PM - Stuart Sides

Status: Closed   

Priority: High   

Assignee: Kristin Berry   

Category: Applications   

Target version: N/A   

Impact: Grid will re-calculate grids for each band

of Cubes with band-dependent camera

models: VimsCamera,

LroWideAngleCamera, MarciCamera,

MvicFrameCamera,

NewHorizonsLeisaCamera,

ThemisIrCamera, and

ThemisVisCamera.

Software Version:  

Description

When working with a multi-band cube that has a band dependent camera model (e.g., Themis IR, New Horizons LEISA) the grid

program creates a grid that matches band 1 only. When the camera model is the same for all bands this is fine. When the camera

model is not the same, the grid from band 1 does not correctly represent other bands.

History

#1 - 2014-11-13 12:40 PM - Kristin Berry

- Status changed from Assigned to In Progress

- Impact updated

After completion, grid will work differently for all the band-dependent camera models: VimsCamera, LroWideAngleCamera,  MarciCamera,

MvicFrameCamera, NewHorizonsLeisaCamera, ThemisIrCamera, and ThemisVisCamera.

It's worth noting that very few objects and applications currently take IsBandIndependent into account. Right now, it's only:

cam2cam

caminfo

map2cam

ringscam2map

skymap

CameraStatistics

ProjectionFactory

CrismCamera

#2 - 2014-12-03 11:44 AM - Kristin Berry

- Impact updated

#3 - 2014-12-03 11:55 AM - Kristin Berry

- Status changed from In Progress to Resolved
This is done, tested by me (Kristin,) and committed to the New Horizons branch. Someone else should probably test this before it gets merged into

trunk. 

#5 - 2014-12-11 05:08 PM - Tammy Becker

I tested a Cassini VIMS cube with grid under this ticket as well as under isis3.4.8, the output files were identical.

input: /work/projects/cassini/tbecker/VIMS/V1764559402_1.ir-sinu.cub

output: V1764559402_1.ir-sinu-isis348-grid.cub & V1764559402_1.ir-sinu-m02191-grid.cub

I ran grid with all the defaults.

If this is what is expected for the VIMS IR camera, then we are good.

Thank you.

#6 - 2015-01-13 12:20 PM - Stuart Sides

- Status changed from Resolved to Closed
